import { Joke } from './Joke';

export class CustomJoke extends Joke {
    private _id:string;
    constructor(id: string, type: string, setup: string, punchline: string, image: string) {
        super(type, setup, punchline, image); // Assuming Joke class has these properties
        this._id = id;
    }
    public get id():string {
        return this._id;
    }
    public set id(id:string) {
        this._id = id;
    }
    description(): string {
        return `ID: ${this.id}, Setup: ${this.setup}, Punchline: ${this.punchline}`;
    }
}