import { Joke } from "./Joke";

export class SampleJoke extends Joke {
    private _id:number;
    constructor(id: number, type: string, setup: string, punchline: string, image: string) {
        super(type, setup, punchline, image); // Assuming Joke class has these properties
        this._id = id;
    }
    public get id():number {
        return this._id;
    }
    public set id(id:number) {
        this._id = id;
    }
    description(): string {
        return `ID: ${this.id}, Setup: ${this.setup}, Punchline: ${this.punchline}`;
    }
}