import { StatusBar } from 'expo-status-bar';
import { StyleSheet, Text, View } from 'react-native';
import { customJokeStub } from './data/stub/CustomJokeStub';
import { sampleJokeStub } from './data/stub/SampleJokeStub';

import './types/extension'
export default function App() {
  return (
    <View style={styles.container}>   
    
      <Text>CustomJoke</Text>
       {customJokeStub.displayDescription().map((t) =><Text key={t} >{t}</Text>)}
       
       <Text>SampleJoke</Text>
        {sampleJokeStub.displayDescription().map((t) =><Text key={t} >{t}</Text>)}
      <StatusBar style="auto" />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});
